
body{
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100vh;
    margin: 0;
    /* background: linear-gradient(135deg, #667eea, #764ba2);  */
    font-family: Arial, sans-serif;

}
.slider{
    position: relative;
    width: 80%;
    max-width: 700px;
    border-radius: 20px;
    overflow: hidden;
    box-shadow: 0px 10px 30px rgba(0,0,0,0.3);
}

.slider img{
    width: 100%;
    height: 400px; 
    object-fit: cover;
    display: none;
    border-radius: 20px;

}

img.displaySlide{
    display: block;
    animation: fade 1.2s ease-in-out;
}

.slider button{
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    font-size: 2rem;
    background-color: hsla(0, 0%, 0%, 0.5);
    color: white;
    padding: 12px;
    border-radius: 50%;
    border: none;
    cursor: pointer;
    transition: 0.3s;
}

.slider button:hover {
  background: rgba(0,0,0,0.8);
}

.prev{
    left: 15px;
}

.next{
    right: 15px;
}

.dots {
  text-align: center;
  position: absolute;
  bottom: 15px;
  width: 100%;
}

.dots span {
  height: 12px;
  width: 12px;
  margin: 0 5px;
  background: rgba(255,255,255,0.6);
  border-radius: 50%;
  display: inline-block;
  cursor: pointer;
  transition: 0.3s;
}

.dots span.active {
  background: white;
  transform: scale(1.2);
}

@keyframes fade{
    from {opacity: 0.4;}
    to {opacity: 1;}
}